import { createRouter, createWebHistory } from "vue-router";

import LifeNo from '../pages/Life-no/index.vue'
import LifeNoDetail from '../pages/Life-no/life-no-detail.vue'

import User from '../pages/User/userList'
import UserDetail from '../pages/User/user-detail.vue'

import AddRole from '../pages/Role/add-role.vue'

const routes = [
  {
    path: "/",
    redirect: '/enterprise/certification'
  },
  {
    path: '/404',
    name: 'NotFound',
    component: () => import(/* webpackChunkName: "enterprise" */ '@/pages/Catch/notFound'),
  },

  // 企业认证管理
  {
    path: '/403',
    name: 'Forbidden',
    component: () => import(/* webpackChunkName: "enterprise" */ '@/pages/Catch/forbidden'),
  },
  {
    path: '/enterprise/certification',
    name: 'Certification',
    component: () => import(/* webpackChunkName: "enterprise" */ '@/pages/Enterprise/Certification'),
    meta: {
      requireAuth: true,
    },
  },
  {
    path: '/enterprise/audit',
    name: 'Audit',
    component: () => import(/* webpackChunkName: "enterprise" */ '@/pages/Enterprise/Audit'),
    meta: {
      requireAuth: true,
    }
  },
  {
    path: '/enterprise/establish',
    name: 'Establish',
    component: () => import(/* webpackChunkName: "enterprise" */ '@/pages/Enterprise/Establish'),
    meta: {
      requireAuth: true,
    }
  },
  //生活号管理
  {
    path: '/life-no/life',
    name: 'LifeNo',
    component: LifeNo,
    meta: {
      requireAuth: true,
    }
  },
  {
    path: "/life-no/lifeNoDetail",
    name: "LifeNoDetail",
    component: LifeNoDetail
  },
  //用户管理
  {
    path: '/user',
    name: 'User',
    component: User,
    meta: {
      requireAuth: true,
    }
  },
  {
    path: '/user/userDetail',
    name: 'UserDetail',
    component: UserDetail,
  },
  //角色管理
  {
    path: "/role/addRole",
    name: "AddRole",
    component: AddRole
  },
  {
    path: "/role",
    name: "Role",
    component: import(/* webpackChunkName: "role" */ "@/pages/Role/RoleManagement")
  }
];

const router = createRouter({
  history: createWebHistory(),
  routes
});

export default router;
